import * as React from 'react'

export interface MarkProps {
  key: string
  content: string
  start: number
  end: number
  tag: string
  special_label?: string
  color?: string
  onClick: (any) => any
}

const tagSpecial = (special_label,tag) => {
  if(special_label === "" || special_label === undefined) {
    return tag;
  } else {
    return special_label;
  }
}

const Mark: React.SFC<MarkProps> = props => (
  <mark
    style={{backgroundColor: props.color || '#84d2ff', padding: '0 4px'}}
    data-start={props.start}
    data-end={props.end}
    onClick={() => props.onClick({start: props.start, end: props.end})}
  >
    {props.content}
    {props.tag && (
      <span style={{fontSize: '0.7em', fontWeight: 500, marginLeft: 6}}>{tagSpecial(props.special_label,props.tag)}</span>
    )}
  </mark>
)

export default Mark
